      subroutine arjshw(scale,npi,pi,ifl,ico,iac,
     $                 maxout,npo,po,ofl,oco, oac)

      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)

      integer ifl(*),ico(*),iac(*),ofl(*),oco(*),oac(*)
      dimension pi(5,*),po(5,*)

C...User process event common block.
      INTEGER MAXNUP
      PARAMETER (MAXNUP=500)
      INTEGER NUP,IDPRUP,IDUP,ISTUP,MOTHUP,ICOLUP
      DOUBLE PRECISION XWGTUP,SCALUP,AQEDUP,AQCDUP,PUP,VTIMUP,SPINUP
      COMMON/HEPEUP/NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,IDUP(MAXNUP),
     &ISTUP(MAXNUP),MOTHUP(2,MAXNUP),ICOLUP(2,MAXNUP),PUP(5,MAXNUP),
     &VTIMUP(MAXNUP),SPINUP(MAXNUP)
      SAVE /HEPEUP/

      COMMON /ARHIDE/ PHAR(400),MHAR(400)
      SAVE /ARHIDE/
      REAL PHAR
      REAL PARA
      COMMON /ARDAT1/ PARA(40),MSTA(40)
      SAVE /ARDAT1/

      COMMON /PYJETS/N,NPAD,K(4000,5),P(4000,5),V(4000,5)
      DOUBLE PRECISION P,V
      SAVE /PYJETS/
      integer pyk

      COMMON /PYDAT1/ MSTU(200),PARU(200),MSTJ(200),PARJ(200)
      DOUBLE PRECISION PARU,PARJ
      SAVE /PYDAT1/

      NUP=npi
      idprup=1
      xwgtup=1.0d0
      scalup=scale
      aqedup=pyalem(scale*scale)
      aqcdup=pyalps(scale*scale)

      do 100 i=1,npi
        idup(i)=ifl(i)
        istup(i)=1
        icolup(1,i)=ico(i)
        icolup(2,i)=iac(i)
        do 110 j=1,5
          pup(j,i)=pi(j,i)
 110    continue
        vtimup(i)=0.0d0
        spinup(1)=0.0d0
 100  continue

      istup(1)=-1
      istup(2)=-1
      istup(npi+1)=1

C      call pylist(7)
      call pyevnt
C      call pylist(1)
      if ( nup.eq.0 ) then
c...Something went wrong return zero particles
         npo=0;
         return
      endif
      mhar(200)=0
      para(6)=scale**2
      msta(14)=0
      call arexec
C      call pylist(1)
      if ( msta(13).ne.0.or.mstu(24).ne.0 ) then
         npo=0
         return
      endif
      npo=0
      nline=500
      iline=0
      do 200 i=1,n
        if ( k(i,1).lt.1.or.k(i,1).gt.2 ) goto 200
        npo=npo+1
        if ( npo.gt.maxout ) then
          write(*,*) "Final state does not fit in allocated vector."
          stop 1
        endif
        do 210 j=1,5
          po(j,npo)=p(i,j)
 210    continue
        ofl(npo)=k(i,2)
        oco(npo)=0
        oac(npo)=0
        if ( pyk(i,12).eq.0 ) goto 200
        if ( pyk(i,12).eq.1 ) then
          if ( iline.eq.0 ) then
            nline=nline+1
            iline=nline
            oco(npo)=iline
          else
            oco(npo)=-iline
            iline=0
          endif
        elseif ( pyk(i,12).eq.-1 ) then
          if ( iline.eq.0 ) then
            nline=nline+1
            iline=-nline
            oac(npo)=-iline
          else
            oac(npo)=iline
            iline=0
          endif
        else
          if ( iline.gt.0 ) then
            oac(npo)=iline
            nline=nline+1
            iline=nline
            oco(npo)=iline
          else
            oco(npo)=-iline
            nline=nline+1
            iline=-nline
            oac(npo)=-iline
          endif
        endif
            
 200  continue

      return
      end


      subroutine arjini(kfl1, kfl2, ecm, ihadr, ptcuth)

      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)

      COMMON /PYSUBS/MSEL,MSELPD,MSUB(500),KFIN(2,-40:40),CKIN(200)
      SAVE /PYSUBS/
      DOUBLE PRECISION CKIN

      COMMON /PYPARS/ MSTP(200),PARP(200),MSTI(200),PARI(200)
      SAVE /PYPARS/
      DOUBLE PRECISION PARP,PARI

C...User process initialization commonblock.
      INTEGER MAXPUP
      PARAMETER (MAXPUP=100)
      INTEGER IDBMUP,PDFGUP,PDFSUP,IDWTUP,NPRUP,LPRUP
      DOUBLE PRECISION EBMUP,XSECUP,XERRUP,XMAXUP
      COMMON/HEPRUP/IDBMUP(2),EBMUP(2),PDFGUP(2),PDFSUP(2),
     &IDWTUP,NPRUP,XSECUP(MAXPUP),XERRUP(MAXPUP),XMAXUP(MAXPUP),
     &LPRUP(MAXPUP)
      SAVE /HEPRUP/

      REAL PARA
      COMMON /ARDAT1/ PARA(40),MSTA(40)
      SAVE /ARDAT1/
      COMMON /ARHIDE/ PHAR(400),MHAR(400)
      SAVE /ARHIDE/
      REAL PHAR

      idbmup(1)=kfl1
      idbmup(2)=kfl2
      ebmup(1)=ecm*0.5d0
      ebmup(2)=ecm*0.5d0
      idwtup=3
      nprup=1
      xsecup(1)=1.0d0
      xerrup(1)=0.0d0
      xmaxup(1)=1.0d0
      lprup(1)=1

      msel = 0
      msub(4)=1
      
      mstp(81)=0
      mstp(111)=ihadr

      call artune('EMC')
      call arinit('PYTHIA')

      msta(34)=0
      phar(180)=ptcuth
      if ( ptcuth .le.0.0d0 ) then
         write(*,*) "Warning! ARJINI was called with a jet ",
     $    "cutoff less than zero!"
         stop 1
      else
         WRITE(*,*) "ARJINI called with cut ", ptcuth
      endif

      call pyinit('USER', 'dummy', 'dummy', ecm)

      return
      end

      DOUBLE PRECISION FUNCTION ARUTHR(ID,JRAD,I1,I3,IN1,IN2)

      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)

      COMMON /PYJETS/N,NPAD,K(4000,5),P(4000,5),V(4000,5)
      DOUBLE PRECISION P,V
      SAVE /PYJETS/
      COMMON /PYPARS/ MSTP(200),PARP(200),MSTI(200),PARI(200)
      SAVE /PYPARS/
      DOUBLE PRECISION PARP,PARI

      COMMON /ARHIDE/ PHAR(400),MHAR(400)
      SAVE /ARHIDE/
      REAL PHAR
      COMMON /ARPART/ BP(MAXPAR,5),IFL(MAXPAR),QEX(MAXPAR),QQ(MAXPAR),
     $                IDI(MAXPAR),IDO(MAXPAR),INO(MAXPAR),INQ(MAXPAR),
     $                XPMU(MAXPAR),XPA(MAXPAR),PT2GG(MAXPAR),IPART
      SAVE /ARPART/
      COMMON /ARDIPS/ BX1(MAXDIP),BX3(MAXDIP),PT2IN(MAXDIP),
     $                SDIP(MAXDIP),IP1(MAXDIP),IP3(MAXDIP),
     $                AEX1(MAXDIP),AEX3(MAXDIP),QDONE(MAXDIP),
     $                QEM(MAXDIP),IRAD(MAXDIP),ISTR(MAXDIP),
     $                ICOLI(MAXDIP),JCOLI(MAXDIP),PTMX2(MAXDIP),IDIPS
      SAVE /ARDIPS/
C...Ede'n, Friberg, Gustafson, H\"akkinen extra DIpole fields
      COMMON /ARDIP2/ YGLU1(MAXDIP),YGLU3(MAXDIP),
     $                YG1,YG3,IGSIDE(MAXDIP),IGS
      SAVE /ARDIP2/

      COMMON /PYDAT1/ MSTU(200),PARU(200),MSTJ(200),PARJ(200)
      DOUBLE PRECISION PARU,PARJ
      SAVE /PYDAT1/

      dimension pg(5),pem1(5),pem3(5),hg(5,8),hem1(5,8),hem3(5,8),del(3)

      INXTP(I)=IP3(IDO(I))
      IPRVP(I)=IP1(IDI(I))

      ARUTHR=1.0D0

C...First make sure the remnants do not get too much recoil.
      if ( qex(i1) ) then
        pt2old = max(pyp(-inq(i1),10),xpmu(i1))**2
        pt2new = bp(i1,1)**2 + bp(i1,2)**2
        if ( pt2new.gt.pt2old .and. exp(-pt2new/pt2old).lt.pyr(idum) )
     $       goto 900
C        if ( pt2new.gt.pt2old ) write(*,*) "Accepted remnant recoil ",
C     $       sqrt(pt2new), sqrt(pt2new/pt2old)
      endif
      if ( qex(i3) ) then
        pt2old = max(pyp(-inq(i3),10),xpmu(i3))**2
        pt2new = bp(i3,1)**2 + bp(i3,2)**2
        if ( pt2new.gt.pt2old .and. exp(-pt2new/pt2old).lt.pyr(idum) )
     $       goto 900
C        if ( pt2new.gt.pt2old ) write(*,*) "Accepted remnant recoil ",
C     $       sqrt(pt2new), sqrt(pt2new/pt2old)
      endif

c$$$      if ( qex(i1).or.qex(i3) ) then
c$$$        if ( pt2in(id).gt.PHAR(180)**2 ) goto 900
c$$$        do 120 itest=IN1,IN2
c$$$          if ( bp(itest,1)**2+bp(itest,2)**2.gt.PHAR(180)**2 ) goto 900
c$$$ 120    continue
c$$$      endif

      YJ1=PYP(7,17)
      YJ2=PYP(MSTI(4),17)
      qinside=.false.
      iem=0
      do 100 i=in1,in2
        y=0.5d0*log((bp(i,4)+bp(i,3))/(bp(i,4)-bp(i,3)))
        if ( ino(i).gt.0 ) iem=i
        if ( y.gt.min(yj1,yj2).and.y.lt.max(yj1,yj2) ) then
          if ( iem.ne.i ) goto 900
          qinside=.true.
        endif
 100  continue

      if ( .not.qinside ) then
         if ( qex(i1).or.qex(i3) ) then
            if ( pt2in(id).gt.PHAR(180)**2 ) goto 900
            do 120 itest=IN1,IN2
               if ( bp(itest,1)**2+bp(itest,2)**2.gt.PHAR(180)**2 )
     $              goto 900
 120        continue
         endif
         return
      endif

      if ( iem.le.0.or.ifl(iem).ne.21 ) return

      iem1=-2
      if ( inq(i1).lt.0 ) then
        if ( k(-inq(i1),3).ge.7.and.k(-inq(i1),3).le.msti(4) )
     $     iem1=k(-inq(i1),3)-5
        if ( k(-inq(i1),3).eq.1.or.k(-inq(i1),3).eq.2 ) iem1=-1
      endif
      iem3=-2
      if ( inq(i3).lt.0 ) then
        if ( k(-inq(i3),3).ge.7.and.k(-inq(i3),3).le.msti(4) )
     $     iem3=k(-inq(i3),3)-5
        if ( k(-inq(i3),3).eq.1.or.k(-inq(i3),3).eq.2 ) iem3=-1
      endif

      nxp1=2
      nxp3=2
      C=2.0D0/(3.0D0*PARU(1))
      if ( .not.qq(i1) ) then
        nxp1=3
        C=3.0D0/(4.0D0*PARU(1))
      endif
      if ( .not.qq(i3) ) then
        nxp3=3
        C=3.0D0/(4.0D0*PARU(1))
      endif
C      prob=C*aralps(pt2in(id),sdip(id))*(bx1(id)**nxp1 + bx3(id)**nxp3)/
      prob=C*(bx1(id)**nxp1 + bx3(id)**nxp3)/
     $     (2.0d0*PARU(1))
      probo=prob*aralps(pt2in(id),sdip(id));
C...Calculate z
      z=0.0d0
      bx2=2.0d0-bx1(id)-bx3(id)
      if ( bx3(id).gt.bx1(id) ) then
        z=bx2/(bx1(id)+bx2)
      else
        z=bx2/(bx3(id)+bx2)
      endif

C...Rescale prob for comparison with HEJ splitting
C      prob=prob/pt2in(id)/z/aralps(pt2in(id),sdip(id))
      prob=prob/pt2in(id)/z

      do 110 j=1,5
        pg(j)=bp(iem,j)
        pem1(j)=bp(i1,j)
        pem3(j)=bp(i3,j)
 110  continue

C...Get four-vectors on the corners of the surrounding hyper-cube.
C...Index (-1) corrsponds to directions in (ln(pt2/Lam2),rapidity,azimuth)
C...according to 0=(-1,-1,-1), 1=(-1,-1,+1), 2=(-1,+1,-1),..., 7=(+1,+1,+1)
      del(1)=0.002d0
      del(2)=0.002d0
      del(3)=0.01d0
      call arputr(5)
      j1=iprvp(iem)
      j2=iem
      j3=inxtp(iem)
      
 290  continue
      del(1)=del(1)/2.0
      del(2)=del(2)/2.0
      idel=0
      do 200 idel1=-1,1,2
        do 210 idel2=-1,1,2
          do 220 idel3=-1,1,2
            idel=idel+1
            call argetr(5)
            call arbcm3(j1,j2,j3,the,phi1,phi3,dbex,dbey,dbez)
            ds=armas3(j1,j2,j3)
            dw=sqrt(ds)
            de1o=bp(j1,4)
            dp1o=sqrt(de1o**2-bp(j1,5)**2)
            de3o=bp(j3,4)
            dp3o=sqrt(de3o**2-bp(j3,5)**2)
            de2o=dw-de1o-de3o
            dp2o=de2o
            de1n=dw*(1.0d0-(1.0d0-de1o/dw)*
     $           exp(0.25d0*del(1)*idel1+0.5d0*del(2)*idel2))
            de3n=dw*(1.0d0-(1.0d0-de3o/dw)*
     $           exp(0.25d0*del(1)*idel1-0.5d0*del(2)*idel2))
            de2n=dw-de1n-de3n
            if (de1n.le.bp(j1,5).or.de3n.le.bp(j3,5).or.
     $           de1n+de3n.gt.2.0d0*dw) goto 290
            dp1n=sqrt(de1n**2-bp(j1,5)**2)
            dp3n=sqrt(de3n**2-bp(j3,5)**2)
            dp2n=de2n
            dcalpo=(dp2o**2-dp1o**2-dp3o**2)/(2.0d0*dp1o*dp3o)
            if ( abs(dcalpo).gt.1.0d0 ) then
              write(*,*) "Why was there an impossible rotation here?"
              goto 900
            endif
            dalpo=acos(dcalpo)
            dpsio=(PARU(1)-dalpo)*(de3o**2)/(de1o**2+de3o**2)
            dcalpn=(dp2n**2-dp1n**2-dp3n**2)/(2.0d0*dp1n*dp3n)
            if ( abs(dcalpn).gt.1.0d0 ) goto 290
            dalpn=acos(dcalpn)
            dpsin=(PARU(1)-dalpn)*(de3n**2)/(de1n**2+de3n**2)
            bp(j1,1)=0.0d0
            bp(j1,2)=0.0d0
            bp(j1,3)=dp1n
            bp(j1,4)=de1n
            bp(j3,1)=dp3n*sin(dalpn)
            bp(j3,2)=0.0d0
            bp(j3,3)=dp3n*cos(dalpn)
            bp(j3,4)=de3n
            bp(j2,1)=-bp(j3,1)
            bp(j2,2)=0.0d0
            bp(j2,3)=-bp(j1,3)-bp(j3,3)
            bp(j2,4)=de2n
            call arobo3(dpsin,0.0d0,0.0d0,0.0d0,0.0d0,j1,j2,j3)
            call arobo3(0.0d0,0.5d0*del(3)*idel3,
     $           0.0d0,0.0d0,0.0d0,j1,j2,j3)
            call arobo3(-dpsio,0.0d0,0.0d0,0.0d0,0.0d0,j1,j2,j3)
            call arobo3(0.0d0,PHI3,0.0d0,0.0d0,0.0d0,j1,j2,j3)
            call arobo3(THE,PHI1,dbex,dbey,dbez,j1,j2,j3)
            do 240 j=1,5
              hg(j,idel)=bp(j2,j)
              hem1(j,idel)=bp(i1,j)
              hem3(j,idel)=bp(i3,j)
 240        continue
 220      continue
 210    continue
 200  continue
      call argetr(5)         
      

      call arjwgt(pg,hg,iem1,pem1,hem1,iem3,pem3,hem3,del,prob)
C      prob=prob*pt2in(id)*z*aralps(pt2in(id),sdip(id))
      prob=prob*pt2in(id)*z

      if (prob.lt.probo) then
      if ( pyr(idum).lt.(probo - prob)/probo ) return
      endif


 900  ARUTHR=-1.0D0

      RETURN

      END

      subroutine upinit

      return
      end

      subroutine upevnt

C...User process event common block.
      INTEGER MAXNUP
      PARAMETER (MAXNUP=500)
      INTEGER NUP,IDPRUP,IDUP,ISTUP,MOTHUP,ICOLUP
      DOUBLE PRECISION XWGTUP,SCALUP,AQEDUP,AQCDUP,PUP,VTIMUP,SPINUP
      COMMON/HEPEUP/NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,IDUP(MAXNUP),
     &ISTUP(MAXNUP),MOTHUP(2,MAXNUP),ICOLUP(2,MAXNUP),PUP(5,MAXNUP),
     &VTIMUP(MAXNUP),SPINUP(MAXNUP)
      SAVE /HEPEUP/

      istup(nup+1)=istup(nup+1)-1

      if ( istup(nup+1).lt.0 ) then
         nup=0
C...Do we need other kind of error handling here?
      endif

      return
      end


      subroutine setmsta(isw,ival)
      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)
      REAL PARA
      COMMON /ARDAT1/ PARA(40),MSTA(40)
      SAVE /ARDAT1/

      msta(isw) = ival

      return
      end

      subroutine setpara(ipar,dval)
      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)
      REAL PARA
      COMMON /ARDAT1/ PARA(40),MSTA(40)
      SAVE /ARDAT1/

      msta(ipar) = dval

      return
      end

      subroutine setstable(ip, ist)
      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)
      INTEGER PYCOMP
      COMMON/PYDAT3/MDCY(500,3),MDME(8000,2),BRAT(8000),KFDP(8000,5)

      MDCY(PYCOMP(ip),1)=ist

      return
      end


      subroutine plist

      call pylist(1)

      return
      end

      subroutine hlist

      call pylist(5)

      return
      end

      subroutine ulist

      call pylist(7)

      return
      end


      DOUBLE PRECISION FUNCTION ARLST()

C...ARiadne function PRiNT

C...Prints out current internal event record.


      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)

      COMMON /PYJETS/N,NPAD,K(4000,5),P(4000,5),V(4000,5)
      DOUBLE PRECISION P,V
      SAVE /PYJETS/
      COMMON /PYPARS/ MSTP(200),PARP(200),MSTI(200),PARI(200)
      SAVE /PYPARS/
      DOUBLE PRECISION PARP,PARI

      COMMON /ARHIDE/ PHAR(400),MHAR(400)
      SAVE /ARHIDE/
      REAL PHAR
      COMMON /ARPART/ BP(MAXPAR,5),IFL(MAXPAR),QEX(MAXPAR),QQ(MAXPAR),
     $                IDI(MAXPAR),IDO(MAXPAR),INO(MAXPAR),INQ(MAXPAR),
     $                XPMU(MAXPAR),XPA(MAXPAR),PT2GG(MAXPAR),IPART
      SAVE /ARPART/
      COMMON /ARDIPS/ BX1(MAXDIP),BX3(MAXDIP),PT2IN(MAXDIP),
     $                SDIP(MAXDIP),IP1(MAXDIP),IP3(MAXDIP),
     $                AEX1(MAXDIP),AEX3(MAXDIP),QDONE(MAXDIP),
     $                QEM(MAXDIP),IRAD(MAXDIP),ISTR(MAXDIP),
     $                ICOLI(MAXDIP),JCOLI(MAXDIP),PTMX2(MAXDIP),IDIPS
      SAVE /ARDIPS/
C...Ede'n, Friberg, Gustafson, H\"akkinen extra DIpole fields
      COMMON /ARDIP2/ YGLU1(MAXDIP),YGLU3(MAXDIP),
     $                YG1,YG3,IGSIDE(MAXDIP),IGS
      SAVE /ARDIP2/
      COMMON /ARSTRS/ IPF(MAXSTR),IPL(MAXSTR),IFLOW(MAXSTR),
     $                PT2LST,PT2MAX,IMF,IML,IO,QDUMP,ISTRS
      SAVE /ARSTRS/
      COMMON /ARINT3/ DPTOT(5)
      SAVE /ARINT3/
      REAL PARA
      COMMON /ARDAT1/ PARA(40),MSTA(40)
      SAVE /ARDAT1/


      DIMENSION DTOT(5)
      CHARACTER ON


      WRITE(*,*)
C...Reset momentum counter. Include Drell-Yan produced particle and
C...others in special positions if present and check its momentum
C...consistency.
      DO 100 J=1,4
        DTOT(J)=0.0D0
 100  CONTINUE
      DO 110 I=MAXPAR-4,MAXPAR-2
        IF (.NOT.QQ(I)) GOTO 110
        DO 120 J=1,4
          DTOT(J)=DTOT(J)+BP(I,J)
 120    CONTINUE
        DMASS=BP(I,4)**2-BP(I,3)**2-BP(I,2)**2-BP(I,1)**2
        IF ( DMASS.GE.0.0D0 ) THEN
          DMASS = SQRT(DMASS)
        ELSE
          DMASS = -SQRT(-DMASS)
        ENDIF
        WRITE(*,600) I,IFL(I),IDI(I),IDO(I),(BP(I,J),J=1,5),DMASS
 110  CONTINUE
      
C...Sum all partons momentum and check their momentum concistency.
      DO 130 I=1,IPART
        DMASS=BP(I,4)**2-BP(I,3)**2-BP(I,2)**2-BP(I,1)**2
        IF ( DMASS.GE.0.0D0 ) THEN
          DMASS = SQRT(DMASS)
        ELSE
          DMASS = -SQRT(-DMASS)
        ENDIF
        ON=' '
        IF ( QEX(I) ) ON='*'
        WRITE(*,600) I,IFL(I),IDI(I),IDO(I),(BP(I,J),J=1,5),DMASS,ON
        DO 140 J=1,4
          DTOT(J)=DTOT(J)+BP(I,J)
 140    CONTINUE
 130  CONTINUE
      DTOT(5)=DSQRT(MAX(DTOT(4)**2-DTOT(3)**2-DTOT(2)**2-DTOT(1)**2,
     $                  0.0D0))
      WRITE(*,601) (DTOT(J),J=1,5)
      WRITE(*,601) (DPTOT(J),J=1,5)
      WRITE(*,*)
      DO 200 I=1,IDIPS
        ON = '*'
        DSDIP=SDIP(I)
        IF ( QDONE(I) ) THEN
          ON = ' '
        ELSE
c          SDIP(I)=ARMAS2(IP1(I),IP3(I))
          DSDIP=ARMAS2(IP1(I),IP3(I))
        ENDIF
        WRITE(*,602) I,IP1(I),IP3(I),SQRT(DSDIP),
     $       sqrt(ardphi(ip1(i),ip3(i))**2+ardeta(ip1(i),ip3(i))**2),
     $       ardphi(ip1(i),ip3(i)),ardeta(ip1(i),ip3(i))
 200  CONTINUE

      DO 210 I=1,ISTRS
        WRITE(*,604) I,IPF(I),IPL(I),IO,SIGN(1,IFLOW(I))
 210  CONTINUE

      ON = '*'
      IF ( QDUMP ) ON = ' '
      WRITE(*,603) SQRT(PT2LST),SQRT(PT2MAX),IO,ON

      DIFF=0.0D0
      DO 300 J=1,5
        DIFF=DIFF+(DTOT(J)-DPTOT(J))**2
 300  CONTINUE
     
      ARLST=DIFF

 600  FORMAT(I3,I6,2I6,5F10.3,F7.3,A)
 601  FORMAT(21X,4F10.3)
 602  FORMAT(I3,2I4,5F10.3)
 603  FORMAT(2G15.3,I4,A)
 604  FORMAT(I3,4I4)

      RETURN

C**** END OF ARPRNT ****************************************************
      END

      double precision function ardphi(i1,i3)

      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)
      COMMON /ARPART/ BP(MAXPAR,5),IFL(MAXPAR),QEX(MAXPAR),QQ(MAXPAR),
     $                IDI(MAXPAR),IDO(MAXPAR),INO(MAXPAR),INQ(MAXPAR),
     $                XPMU(MAXPAR),XPA(MAXPAR),PT2GG(MAXPAR),IPART
      SAVE /ARPART/

      dphi=abs(atan2(bp(i1,2),bp(i1,1))-atan2(bp(i3,2),bp(i3,1)))
      if ( dphi.gt.3.14159265358979323846d0 )
     $     dphi = 2.0d0*3.14159265358979323846d0 - dphi
      ardphi=dphi

      return
      end

      double precision function ardeta(i1,i3)

      PARAMETER(MAXDIP=500,MAXPAR=500,MAXSTR=100,MAXONI=100)
      IMPLICIT DOUBLE PRECISION(A-H, O-P, R-Z)
      IMPLICIT LOGICAL (Q)
      COMMON /ARPART/ BP(MAXPAR,5),IFL(MAXPAR),QEX(MAXPAR),QQ(MAXPAR),
     $                IDI(MAXPAR),IDO(MAXPAR),INO(MAXPAR),INQ(MAXPAR),
     $                XPMU(MAXPAR),XPA(MAXPAR),PT2GG(MAXPAR),IPART
      SAVE /ARPART/

      bp1=sqrt(bp(i1,1)**2+bp(i1,2)**2+bp(i1,3)**2)
      bp3=sqrt(bp(i3,1)**2+bp(i3,2)**2+bp(i3,3)**2)
      deta1=0.5d0*log((bp1+bp(i1,3))/(bp1-bp(i1,3)))
      deta3=0.5d0*log((bp3+bp(i3,3))/(bp3-bp(i3,3)))
      ardeta=sqrt((deta1-deta2)**2)

      return
      end

